<?php
require_once 'Icms/Abstract.php';

/**
 * Class Icms_Admin
 *
 * all admin functions
 *
 * @access   public
 * @category Icms
 * @package  Icms_Admin
 * 
 * @access   public
 * @author   dark
 * @version  $Id: Admin.php Thu Nov 13 11:53:41 EET 2008 11:53:41 dark$
 */
class Icms_Admin extends Icms_Abstract
{
    /**
     * load
     *
     * load file for admin
     *
     * @access  public
     * @param   string  $file
     * @return  Icms_Abstract
     */
    public function load($file) 
    {
        $_SESSION['placeholder'] = Icms()->Request->getRequestUri();
            
        if (Icms()->isMain()) {
            $_SESSION['edit'] = 'index.html';
        } else {
            $_SESSION['edit'] = Icms()->Request->getRequestUri();
        }
        
        echo '<div id="icms-edit">'."\n";
        
        if (file_exists(ROOT . DS . $file)) {
			include ROOT . DS . $file;	
		} else {		
			Icms()->is404(true);
			$this->create();
			include ROOT . DS . 'error404.html';
		} 
		
		echo '</div>'."\n";
		return $this;
    }
    
    /**
     * toolbar
     *
     * load toolbar
     *
     * @access  public
     * @param   array  $options
     * @return  Icms_Abstract
     */
    public function toolbar($options = array())
    {
        if (!is_array($options)) {
            parse_str($options);
        } else {
            extract($options);
        }
        
        $path = Icms()->option(ICMS_PATH);
        
        ?>        
        <link rel="stylesheet" href="<?php echo $path ?>css/icms.toolbar.css" type="text/css" />
        <script type='text/javascript' src='<?php echo $path ?>js/jquery.js?ver=1.2.6' ></script>
        <script type='text/javascript' src='<?php echo $path ?>js/icms.toolbar.js' ></script> 
        <script type='text/javascript'>Icms.path = "<?php echo $path ?>";</script>
        <script type='text/javascript' src='<?php echo $path ?>js/wymeditor/jquery.wymeditor.js' ></script> 
        <script type='text/javascript' src='<?php echo $path ?>js/wymeditor/jquery.wymeditor.mozilla.js' ></script> 
        <script type='text/javascript' src='<?php echo $path ?>js/wymeditor/jquery.wymeditor.opera.js' ></script> 
        <script type='text/javascript' src='<?php echo $path ?>js/wymeditor/jquery.wymeditor.safari.js' ></script> 
        <script type='text/javascript' src='<?php echo $path ?>js/wymeditor/jquery.wymeditor.explorer.js' ></script> 
        <script type='text/javascript' src='<?php echo $path ?>js/wymeditor/plugins/hovertools/jquery.wymeditor.hovertools.js' ></script>
        <?php
    }
    
    /**
     * upload
     *
     * return iframe src
     *
     * @access  public
     * @return  rettype  return
     */
    public function upload() 
    {
        $path = Icms()->option(ICMS_PATH);
        
        $ok = false;
        if (Icms()->Request->get('icms-upload')) {
            $uploadfile = preg_replace('/[^a-zA-Z0-9_\.\-]+/i','_',strtolower($_FILES['icms-file']['name']));
            
            if (file_exists(ROOT .DS. 'upload' .DS. $uploadfile)) {
                $tmp = pathinfo($uploadfile);
                // don't use "filename" - it's for PHP > 5.2.0
                $uploadfile = substr($tmp['basename'], 0, -(strlen($tmp['extension']) + 1)) .'_'.date('Ymd_H_i') .'.'. $tmp['extension'];
            }
//            $uploadfile = ROOT .DS. 'upload' .DS. $uploadfile;
            $uploadfile = 'upload' .DS. $uploadfile;
            
//            if (isset($_FILES['icms-file']) && @move_uploaded_file($_FILES['icms-file']['tmp_name'], $uploadfile)) {
            if (isset($_FILES['icms-file']) && Icms()->Ftp()->uploadFile($_FILES['icms-file']['tmp_name'], $uploadfile)) {
                $ok = true;
            } elseif (!is_writable( ROOT .DS. 'upload')) {
                $error = "Directory \"".ROOT .DS. "upload\" is not writable.";
            } else {
                $error = "Possible file upload attack!\n";
            }
        }
        
        ?>
        <html dir="ltr">
        <head>
            <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $path ?>js/wymeditor/skins/default/skin.css">
            <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $path ?>css/icms.wym.css">
            <title>Image</title>
            <style type="text/css">
            body,form{
                padding:0;
                margin:0;
                font-family:"Trebuchet MS",Trebuchet,Verdana,Helvetica,Arial,sans-serif;
                font-size:12px;
            }
            .error{color:#f55}
            </style>
        </head>
        <body class="wym_dialog wym_dialog_image" <?php if ($ok) { ?> onload="javascript:parent.Icms.fm.upload();" <?php } ?>>
            <div class="dialogHtml">
                <form action="<?php echo $path ?>index.php?action=upload" method='POST' enctype='multipart/form-data'>
                    <input type='hidden' name='icms-upload' value='1'/>
                    <fieldset>           
                        <legend>Upload</legend>
                        <?php if (isset($error)) : ?>
                            <div class='row error'>
                            <?php echo $error ?>
                            </div>
                        <?php endif; ?>
                        <div class='row'>
                            <label>Choose file</label>
                            <input type='file' name="icms-file"/>
                        </div>
                        <div class='row row-indent'>
                            <input class='wym_submit' type='submit' value='Submit' />
                            <input class='wym_cancel' type='reset' value='Cancel' />
                        </div>
                    </fieldset>
                </form>
            </div>
        </body>
        </html>
        <?php
    }
    
    /**
     * create
     *
     * create a new file
     *
     * @access  public
     * @return  rettype  return
     */
    public function create() 
    {
        ?>        
            Page not exist, but you can <a href="#" onclick="javascript:Icms.toolbar.create();">create it</a>
        <?php
    }    
}