<?php
/**
 * Class Icms_Ajax
 *
 * all ajax methods for work with iCMS
 *
 * @access   public
 * @category Icms
 * @package  Icms_Ajax
 * 
 * @access   public
 * @author   dark
 * @version  $Id: Ajax.php Thu Nov 13 11:48:48 EET 2008 11:48:48 dark$
 */
class Icms_Ajax_Abstract 
{
    /**
     * Response
     * 
     * @var array
     */
    protected $response = array(
                    'status' => 'ok',
                    'msg'    => '',
                    
                    );
    
    /**
     * Constructor of Icms_Ajax
     *
     * @access  public
     */
    function __construct() 
    {
        $action = Icms()->Request->get('action');
        
        $method = $action.'Action';
        
        if ($action && method_exists($this, $method)) {
            $this->$method();
        } else {
            $this->error('Wrong Action');
        }
        
        echo json_encode($this->response);
        exit();
    }
    
    /**
     * message
     *
     * set  message
     *
     * @access  public
     * @param   string   $msg
     * @return  rettype  return
     */
    public function message($msg) 
    {
        $this->response['status'] = 'ok';
        $this->response['msg']    = $msg;
        
        echo json_encode($this->response);
        exit();
    }
    
    /**
     * result
     *
     * set  result
     *
     * @access  public
     * @param   string   $msg
     * @return  rettype  return
     */
    public function result($res) 
    {
        $this->response['status'] = 'ok';
        $this->response['res']    = $res;
        
        echo json_encode($this->response);
        exit();
    }
    
    /**
     * error
     *
     * set error message
     *
     * @access  public
     * @param   string   $msg
     * @return  rettype  return
     */
    public function error($msg) 
    {
        $this->response['status'] = 'ko';
        $this->response['msg']    = $msg;
        
        echo json_encode($this->response);
        exit();
    }
}