<?php
/**
 * Icms
 *
 * return Icms instance
 *
 * @access  public
 * @param   $options
 * @return  Icms
 */
function Icms($options = array()) 
{
	global $Icms;
	if (!$Icms) {
		$Icms = new Icms($options);
	}
    return $Icms;
}

/**
 * load
 *
 * return Icms::load
 *
 * @access  public
 * @param   string     $file	
 * @return  void
 */
function load($file) 
{
	Icms()->load($file);
}

/**
 * header
 *
 * load header.php
 *
 * @access  public
 * @param   string     $file	
 * @return  void
 */
function head() 
{
	Icms()->load('include/header.php');
}

/**
 * footer
 *
 * load footer.php
 *
 * @access  public
 * @param   string     $file	
 * @return  void
 */
function footer() 
{
	Icms()->load('include/footer.php');
}

/**
 * sidebar
 *
 * load sidebar.php
 *
 * @access  public
 * @param   string     $file	
 * @return  void
 */
function sidebar() 
{
	Icms()->load('include/sidebar.php');
}

/**
 * menu
 *
 * load sidebar.php
 *
 * @access  public
 * @param   string     $file	
 * @return  void
 */
function menu() 
{
	Icms()->load('include/menu.php');
}

/**
 * toolbar
 *
 * return Icms::toolbar
 *
 * @access  public
 * @param   mixed $options
 * @return  void
 */
function toolbar($options = array()) 
{
	Icms()->Abstract->toolbar($options);
}

/**
 * placeholder
 *
 * return Icms::placeholder
 *
 * @access  public
 * @return  void
 */
function placeholder() 
{
	Icms()->placeholder();
}

/**
 * section
 *
 * return Icms::section
 *
 * @access  public
 * @param   string  $id
 * @return  void
 */
function section($id) 
{
	Icms()->section($id);
}

/**
 * path
 *
 * return ICMS_PATH option
 *
 * @access  public
 * @return  void
 */
function path() 
{
	echo Icms()->option(ICMS_PATH);
}
